Subject: bug#64297: closed (Re: bug#64297: [Cuirass] Remote server not picking up job, losing workers)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Jul 2023 16:59:02 +0000

Your bug report

#64297: [Cuirass] Remote server not picking up job, losing workers

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64297: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64297
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64297: [Cuirass] Remote server not picking up job, losing workers
From: Ludovic Courtès <[email-masked]>
To: Christopher Baines <[email-masked]>
Cc: [email-masked]
Date: Sat, 01 Jul 2023 18:57:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Christopher Baines <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Ludovic Courtès <[email-masked]> skribis:
>>
>>> The problem is most likely with the connection-to-port caching in
>>> squee’s ‘connection-socket-port’, as can be seen in this other trace
>>> where I added ‘pk’ calls in ‘connection-socket-port’:
>>
>> Confirmed, with a fix!
>>
>>   https://notabug.org/cwebber/guile-squee/pulls/8
>
> I've merged that change, updated guile-squee in Guix, pulled on berlin,
> reconfigured and restarted Cuirass now.

Awesome, thanks a lot!  It does seem to be working hard now.

(I’ve just reconfigured as well, as I hadn’t seen your message…)

Ludo’.

Subject: [Cuirass] Remote server not picking up job, losing workers
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Mon, 26 Jun 2023 10:54:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

As of [email-masked], ‘cuirass remote-server’ appears to not
pick jobs as quickly as it should and to lose sight of workers (you can
see them come and go on <https://ci.guix.gnu.org/workers>).

/var/log/cuirass-remote-worker.log shows that it does build things, but
only sporadically.  Then there are things like:

  2023-06-26 10:07:58 warning: Poll loop busy during 3404 seconds.

This is presumably related to Cuirass commit
c4743b54720e86b0e0b0295fb6d33977e4293644 (previously ‘remote-worker’
would have a database worker thread; now it opens a new connection every
time—a stopgap before it’s fiberized, but apparently not a good one).

Ludo’.